<!-- Case name: SloshingTankSinuRect -->
<?xml version="1.0" encoding="UTF-8" ?>
<case app="GenCase4 v4.0.147 (11-02-2020)" date="04-06-2020 10:41:23">
    <casedef>
        <constantsdef>
            <lattice bound="1" fluid="1" />
            <gravity x="0" y="0" z="-9.81" comment="Gravitational acceleration" units_comment="m/s^2" />
            <rhop0 value="1000" comment="Reference density of the fluid" units_comment="kg/m^3" />
            <hswl value="0" auto="true" comment="Maximum still water level to calculate speedofsound using coefsound" units_comment="metres (m)" />
            <gamma value="7" comment="Polytropic constant for water used in the state equation" />
            <speedsystem value="0" auto="true" comment="Maximum system speed (by default the dam-break propagation is used)" />
            <coefsound value="20" comment="Coefficient to multiply speedsystem" />
            <speedsound value="0" auto="true" comment="Speed of sound to use in the simulation (by default speedofsound=coefsound*speedsystem)" />
            <coefh value="1" comment="Coefficient to calculate the smoothing length (h=coefh*sqrt(3*dp^2) in 3D)" />
            <cflnumber value="0.2" comment="Coefficient to multiply dt" />
            <h value="0" auto="true" units_comment="metres (m)" />
            <b value="0" auto="true" units_comment="Pascal (Pa)" />
            <massbound value="0" auto="true" units_comment="kg" />
            <massfluid value="0" auto="true" units_comment="kg" />
        </constantsdef>
        <mkconfig boundcount="241" fluidcount="9" />
        <geometry>
            <definition dp="0.005" comment="Initial inter-particle distance" units_comment="metres (m)">
                <pointmin x="-0.5" y="0.0" z="-0.1" />
                <pointmax x="0.5" y="0.0" z="0.6" />
            </definition>
            <commands>
                <mainlist>
                    <setshapemode>actual | dp | bound</setshapemode>
                    <setmkfluid mk="0" />
                    <setdrawmode mode="full" />
                    <drawbox objname="Water">
                        <boxfill>solid</boxfill>
                        <point x="-0.295" y="-0.1" z="0.0" />
                        <size x="0.59" y="0.2" z="0.0295" />
                    </drawbox>
                    <setmkbound mk="0" />
                    <setdrawmode mode="face" />
                    <drawbox objname="Tank">
                        <boxfill>solid</boxfill>
                        <point x="-0.295" y="-0.1" z="0.0" />
                        <size x="0.59" y="0.2" z="0.3" />
                    </drawbox>
                    <setmkbound mk="1" />
                    <setdrawmode mode="full" />
                    <drawbox objname="Wall">
                        <boxfill>solid</boxfill>
                        <point x="-0.294" y="-0.1" z="0.0" />
                        <size x="0.001" y="0.2" z="0.3" />
                    </drawbox>
                    <shapeout file="" />
                </mainlist>
            </commands>
        </geometry>
        <motion>
            <objreal ref="0">
                <begin mov="1" start="0" />
                <mvrectsinu id="1" duration="20.0" anglesunits="degrees" next="1">
                    <freq x="0.531" y="0.0" z="0.0" units_comment="1/s" />
                    <ampl x="0.06" y="0.0" z="0.0" units_comment="metres (m)" />
                    <phase x="0.0" y="0.0" z="0.0" units_comment="degrees" />
                </mvrectsinu>
            </objreal>
            <objreal ref="1">
                <begin mov="1" start="0" />
                <mvrectsinu id="1" duration="20.0" anglesunits="degrees" next="1">
                    <freq x="0.531" y="0.0" z="0.0" units_comment="1/s" />
                    <ampl x="0.06" y="0.0" z="0.0" units_comment="metres (m)" />
                    <phase x="0.0" y="0.0" z="0.0" units_comment="degrees" />
                </mvrectsinu>
            </objreal>
        </motion>
    </casedef>
    <execution>
        <special />
        <parameters>
            <parameter key="SavePosDouble" value="0" comment="Saves particle position using double precision (default=0)" />
            <parameter key="StepAlgorithm" value="2" comment="Step Algorithm 1:Verlet, 2:Symplectic (default=1)" />
            <parameter key="VerletSteps" value="40" comment="Verlet only: Number of steps to apply Euler timestepping (default=40)" />
            <parameter key="Kernel" value="2" comment="Interaction Kernel 1:Cubic Spline, 2:Wendland (default=2)" />
            <parameter key="ViscoTreatment" value="1" comment="Viscosity formulation 1:Artificial, 2:Laminar+SPS (default=1)" />
            <parameter key="Visco" value="0.05" comment="Viscosity value" />
            <parameter key="ViscoBoundFactor" value="1" comment="Multiply viscosity value with boundary (default=1)" />
            <parameter key="DensityDT" value="0" comment="Density Diffusion Term 0:None, 1:Molteni, 2:Fourtakas, 3:Fourtakas(full) (default=0)" />
            <parameter key="DensityDTvalue" value="0.1" comment="DDT value (default=0.1)" />
            <parameter key="Shifting" value="0" comment="Shifting mode 0:None, 1:Ignore bound, 2:Ignore fixed, 3:Full (default=0)" />
            <parameter key="ShiftCoef" value="-2.0" comment="Coefficient for shifting computation (default=-2)" />
            <parameter key="ShiftTFS" value="0.0" comment="Threshold to detect free surface. Typically 1.5 for 2D and 2.75 for 3D (default=0)" />
            <parameter key="RigidAlgorithm" value="1" comment="Rigid Algorithm 1:SPH, 2:DEM, 3:CHRONO (default=1)" />
            <parameter key="FtPause" value="0.0" comment="Time to freeze the floatings at simulation start (warmup) (default=0)" units_comment="seconds" />
            <parameter key="CoefDtMin" value="0.05" comment="Coefficient to calculate minimum time step dtmin=coefdtmin*h/speedsound (default=0.05)" />
            <parameter key="#DtIni" value="0.0001" comment="Initial time step (default=h/speedsound)" units_comment="seconds" />
            <parameter key="#DtMin" value="1e-05" comment="Minimum time step (default=coefdtmin*h/speedsound)" units_comment="seconds" />
            <parameter key="DtAllParticles" value="0" comment="Velocity of particles used to calculate DT. 1:All, 0:Only fluid/floating (default=0)" />
            <parameter key="TimeMax" value="10.0" comment="Time of simulation" units_comment="seconds" />
            <parameter key="TimeOut" value="0.01" comment="Time out data" units_comment="seconds" />
            <parameter key="PartsOutMax" value="1.0" comment="%/100 of fluid particles allowed to be excluded from domain (default=1)" units_comment="decimal" />
            <parameter key="RhopOutMin" value="700" comment="Minimum rhop valid (default=700)" units_comment="kg/m^3" />
            <parameter key="RhopOutMax" value="1300" comment="Maximum rhop valid (default=1300)" units_comment="kg/m^3" />
            <simulationdomain comment="Defines domain of simulation (default=Uses minimun and maximum position of the generated particles)">
                <posmin x="-0.55" y="-0.1" z="-0.1" comment="e.g.: x=0.5, y=default-1, z=default-10%" />
                <posmax x="0.55" y="0.1" z="0.6" />
            </simulationdomain>
        </parameters>
        <particles np="1058" nb="356" nbf="0" mkboundfirst="10" mkfluidfirst="1">
            <_summary>
                <positions units_comment="metres (m)">
                    <posmin x="-0.295" y="0" z="0" />
                    <posmax x="0.295" y="0" z="0.3" />
                </positions>
                <moving count="356" id="0-355" mkcount="2" mkvalues="10-11" />
                <fluid count="702" id="356-1057" mkcount="1" mkvalues="1" />
            </_summary>
            <moving mkbound="0" mk="10" begin="0" count="295" refmotion="0" />
            <moving mkbound="1" mk="11" begin="295" count="61" refmotion="1" />
            <fluid mkfluid="0" mk="1" begin="356" count="702" />
        </particles>
        <constants>
            <data2d value="true" />
            <data2dposy value="0" units_comment="metres (m)" />
            <gravity x="0" y="0" z="-9.81" units_comment="m/s^2" />
            <cflnumber value="0.2" />
            <gamma value="7" />
            <rhop0 value="1000" units_comment="kg/m^3" />
            <dp value="0.005" units_comment="metres (m)" />
            <h value="7.0710678119E-03" units_comment="metres (m)" />
            <b value="1.4014285714E+04" units_comment="Pascal (Pa)" />
            <massbound value="2.5000000000E-02" units_comment="kg" />
            <massfluid value="2.5000000000E-02" units_comment="kg" />
        </constants>
        <motion>
            <objreal ref="0">
                <begin mov="1" start="0" />
                <mvrectsinu id="1" duration="20" next="1" anglesunits="degrees">
                    <freq x="0.531" y="0" z="0" units_comment="1/s" />
                    <ampl x="0.06" y="0" z="0" units_comment="metres (m)" />
                    <phase x="0" y="0" z="0" units_comment="degrees" />
                </mvrectsinu>
            </objreal>
            <objreal ref="1">
                <begin mov="1" start="0" />
                <mvrectsinu id="1" duration="20" next="1" anglesunits="degrees">
                    <freq x="0.531" y="0" z="0" units_comment="1/s" />
                    <ampl x="0.06" y="0" z="0" units_comment="metres (m)" />
                    <phase x="0" y="0" z="0" units_comment="degrees" />
                </mvrectsinu>
            </objreal>
        </motion>
        <vtkout mkboundfirst="10" mkfluidfirst="1">
            <vtkfile name="SloshingTankSinuRect__Dp.vtk" mk="10-11" mkbound="0-1" />
            <vtkfile name="SloshingTankSinuRect__Actual.vtk" mk="10-11" mkbound="0-1" />
        </vtkout>
    </execution>
</case>
